<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: altera_ethmodels_pack Package  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">altera_ethmodels_pack Package Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classaltera__ethmodels__pack-members.html">List of all members.</a></p>
<b>Package Body &gt;&gt; </b><a class="el" href="class__altera__ethmodels__pack.html">altera_ethmodels_pack</a><br/>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Functions"></a>
Functions</h2></td></tr>
 <tr class="memitem:ac82a7827834008cea5e037be28fd1caa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac82a7827834008cea5e037be28fd1caa"></a>
<b><b><span class="comment">integer</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classaltera__ethmodels__pack.html#ac82a7827834008cea5e037be28fd1caa">get_reconfig_from_width</a><b> ( </b><b><span class="vhdlchar">dev_family: </span><span class="stringliteral">in </span><b><span class="comment">STRING</span><span class="vhdlchar"> </span></b></b><b> )</b></td></tr>
<tr class="memitem:ac7598db4ddcd8a02a5c6962f154b70c8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7598db4ddcd8a02a5c6962f154b70c8"></a>
<b><b><span class="comment">integer</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classaltera__ethmodels__pack.html#ac7598db4ddcd8a02a5c6962f154b70c8">get_reconfig_to_width</a><b> ( </b><b><span class="vhdlchar">dev_family: </span><span class="stringliteral">in </span><b><span class="comment">STRING</span><span class="vhdlchar"> </span></b></b><b> )</b></td></tr>
<tr class="memitem:a4b08f9c86373a4bd9eb4ae793aca91f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4b08f9c86373a4bd9eb4ae793aca91f1"></a>
<b><b><span class="comment">boolean</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classaltera__ethmodels__pack.html#a4b08f9c86373a4bd9eb4ae793aca91f1">isPhyIp</a><b> ( </b><b><span class="vhdlchar">dev_family: </span><span class="stringliteral">in </span><b><span class="comment">STRING</span><span class="vhdlchar"> </span></b></b><b> )</b></td></tr>
<tr class="memitem:ac82a7827834008cea5e037be28fd1caa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac82a7827834008cea5e037be28fd1caa"></a>
<b><b><span class="comment">integer</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classaltera__ethmodels__pack.html#ac82a7827834008cea5e037be28fd1caa">get_reconfig_from_width</a><b> ( </b><b><span class="vhdlchar">dev_family: </span><span class="stringliteral">in </span><b><span class="comment">STRING</span><span class="vhdlchar"> </span></b></b><b> )</b></td></tr>
<tr class="memitem:ac7598db4ddcd8a02a5c6962f154b70c8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7598db4ddcd8a02a5c6962f154b70c8"></a>
<b><b><span class="comment">integer</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classaltera__ethmodels__pack.html#ac7598db4ddcd8a02a5c6962f154b70c8">get_reconfig_to_width</a><b> ( </b><b><span class="vhdlchar">dev_family: </span><span class="stringliteral">in </span><b><span class="comment">STRING</span><span class="vhdlchar"> </span></b></b><b> )</b></td></tr>
<tr class="memitem:a4b08f9c86373a4bd9eb4ae793aca91f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4b08f9c86373a4bd9eb4ae793aca91f1"></a>
<b><b><span class="comment">boolean</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classaltera__ethmodels__pack.html#a4b08f9c86373a4bd9eb4ae793aca91f1">isPhyIp</a><b> ( </b><b><span class="vhdlchar">dev_family: </span><span class="stringliteral">in </span><b><span class="comment">STRING</span><span class="vhdlchar"> </span></b></b><b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Procedures"></a>
Procedures</h2></td></tr>
 <tr class="memitem:a701ed389d8245b935963e8c62ce183c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a701ed389d8245b935963e8c62ce183c3"></a>
<b><b><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classaltera__ethmodels__pack.html#a701ed389d8245b935963e8c62ce183c3">WRITE_HEX</a>( <b><span class="vhdlchar"> </span><span class="vhdlchar">L: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span><span class="vhdlchar">LINE</span><span class="vhdlchar"> </span></b></b><b>,<span class="vhdlchar"> </span><span class="vhdlchar">val: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span></b></b> )</td></tr>
<tr class="memitem:a6a1dde0ac6f7c57e6e4bfa9c69997bc7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a1dde0ac6f7c57e6e4bfa9c69997bc7"></a>
<b><b><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classaltera__ethmodels__pack.html#a6a1dde0ac6f7c57e6e4bfa9c69997bc7">WRITETM</a>( <b><span class="vhdlchar"> </span><span class="vhdlchar">L: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span><span class="vhdlchar">LINE</span><span class="vhdlchar"> </span></b></b><b>,<span class="vhdlchar"> </span><span class="vhdlchar">theMessage: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span><span class="comment">string</span><span class="vhdlchar"> </span></b></b> )</td></tr>
<tr class="memitem:a76e4d89f105ac717ceec473c11399468"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76e4d89f105ac717ceec473c11399468"></a>
<b><b><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classaltera__ethmodels__pack.html#a76e4d89f105ac717ceec473c11399468">WRITELINE_LOG</a>( <b><span class="vhdlkeyword">file </span><span class="vhdlchar">theLog: </span><span class="stringliteral"></span> <b><span class="vhdlchar">TEXT</span><span class="vhdlchar"> </span></b></b><b>,<span class="vhdlchar"> </span><span class="vhdlchar">L: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span><span class="vhdlchar">LINE</span><span class="vhdlchar"> </span></b></b> )</td></tr>
<tr class="memitem:a701ed389d8245b935963e8c62ce183c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a701ed389d8245b935963e8c62ce183c3"></a>
<b><b><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classaltera__ethmodels__pack.html#a701ed389d8245b935963e8c62ce183c3">WRITE_HEX</a>( <b><span class="vhdlchar"> </span><span class="vhdlchar">L: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span><span class="vhdlchar">LINE</span><span class="vhdlchar"> </span></b></b><b>,<span class="vhdlchar"> </span><span class="vhdlchar">val: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span></b></b> )</td></tr>
<tr class="memitem:a6a1dde0ac6f7c57e6e4bfa9c69997bc7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a1dde0ac6f7c57e6e4bfa9c69997bc7"></a>
<b><b><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classaltera__ethmodels__pack.html#a6a1dde0ac6f7c57e6e4bfa9c69997bc7">WRITETM</a>( <b><span class="vhdlchar"> </span><span class="vhdlchar">L: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span><span class="vhdlchar">LINE</span><span class="vhdlchar"> </span></b></b><b>,<span class="vhdlchar"> </span><span class="vhdlchar">theMessage: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span><span class="comment">string</span><span class="vhdlchar"> </span></b></b> )</td></tr>
<tr class="memitem:a76e4d89f105ac717ceec473c11399468"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76e4d89f105ac717ceec473c11399468"></a>
<b><b><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classaltera__ethmodels__pack.html#a76e4d89f105ac717ceec473c11399468">WRITELINE_LOG</a>( <b><span class="vhdlkeyword">file </span><span class="vhdlchar">theLog: </span><span class="stringliteral"></span> <b><span class="vhdlchar">TEXT</span><span class="vhdlchar"> </span></b></b><b>,<span class="vhdlchar"> </span><span class="vhdlchar">L: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span><span class="vhdlchar">LINE</span><span class="vhdlchar"> </span></b></b> )</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:aa8c4e25998323a84db5b1fa701b92fcb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa8c4e25998323a84db5b1fa701b92fcb"></a>
<a class="el" href="classaltera__ethmodels__pack.html#aa8c4e25998323a84db5b1fa701b92fcb">textio</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:aab5761c17f67f6595c325003d3c55f38"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab5761c17f67f6595c325003d3c55f38"></a>
<a class="el" href="classaltera__ethmodels__pack.html#aab5761c17f67f6595c325003d3c55f38">GENCNTMODULO</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">256</span> <span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2altera__ethmodels__pack_8vhd_source.html#l00050">50</a> of file <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2altera__ethmodels__pack_8vhd_source.html">altera_ethmodels_pack.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/models/<a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2altera__ethmodels__pack_8vhd_source.html">altera_ethmodels_pack.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_vhdl/models/<a class="el" href="WIB__TSE__testbench_2testbench__vhdl_2models_2altera__ethmodels__pack_8vhd_source.html">altera_ethmodels_pack.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:32 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
